Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.tools.common
Class ToolConstants

    java.lang.Object
      org.apache.cxf.tools.common.ToolConstants

    public final class ToolConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `AEGIS_DATABINDING`
`static java.lang.String` | `ANT_GENERATOR`
`static java.lang.String` | `ASYNC_METHOD_SUFFIX`
`static java.lang.String` | `BINDING_GENERATOR`
`static java.lang.String` | `CFG_ADDRESS`
`static java.lang.String` | `CFG_ALL`
`static java.lang.String` | `CFG_ANT`
`static java.lang.String` | `CFG_ANT_PROP`
`static java.lang.String` | `CFG_BINDING`
`static java.lang.String` | `CFG_BINDING_ATTR`
`static java.lang.String` | `CFG_CATALOG`
`static java.lang.String` | `CFG_CLASSDIR`
`static java.lang.String` | `CFG_CLASSNAME`
`static java.lang.String` | `CFG_CLASSPATH`
`static java.lang.String` | `CFG_CLIENT`
`static java.lang.String` | `CFG_CMD_ARG`
`static java.lang.String` | `CFG_COMPILE`
`static java.lang.String` | `CFG_CREATE_XSD_IMPORTS`
`static java.lang.String` | `CFG_DATABINDING`
`static java.lang.String` | `CFG_DEEP`
`static java.lang.String` | `CFG_DEFAULT_EX`
`static java.lang.String` | `CFG_DEFAULT_NS`
`static java.lang.String` | `CFG_DEFAULT_VALUES`
`static java.lang.String` | `CFG_EXTRA_SOAPHEADER`
`static java.lang.String` | `CFG_FRONTEND`
`static java.lang.String` | `CFG_GEN_ANT`
`static java.lang.String` | `CFG_GEN_CLIENT`
`static java.lang.String` | `CFG_GEN_FAULT`
`static java.lang.String` | `CFG_GEN_IMPL`
`static java.lang.String` | `CFG_GEN_NEW_ONLY`
`static java.lang.String` | `CFG_GEN_OVERWRITE`
`static java.lang.String` | `CFG_GEN_SEI`
`static java.lang.String` | `CFG_GEN_SERVER`
`static java.lang.String` | `CFG_GEN_SERVICE`
`static java.lang.String` | `CFG_GEN_TYPES`
`static java.lang.String` | `CFG_IMPL`
`static java.lang.String` | `CFG_IMPL_CLASS`
`static java.lang.String` | `CFG_INSTALL_DIR`
`static java.lang.String` | `CFG_INTERFACE`
`static java.lang.String` | `CFG_LIB_REF`
`static java.lang.String` | `CFG_NAME`
`static java.lang.String` | `CFG_NAMESPACE`
`static java.lang.String` | `CFG_NEXCLUDE`
`static java.lang.String` | `CFG_NIGNOREEXCLUDE`
`static java.lang.String` | `CFG_NINCLUDE`
`static java.lang.String` | `CFG_OUTPUTDIR`
`static java.lang.String` | `CFG_OUTPUTFILE`
`static java.lang.String` | `CFG_PACKAGENAME`
`static java.lang.String` | `CFG_PLATFORM_VERSION`
`static java.lang.String` | `CFG_PORT`
`static java.lang.String` | `CFG_PORTTYPE`
`static java.lang.String` | `CFG_SCHEMA_DIR`
`static java.lang.String` | `CFG_SCHEMA_URL`
`static java.lang.String` | `CFG_SCHEMANS`
`static java.lang.String` | `CFG_SERVER`
`static java.lang.String` | `CFG_SERVICE`
`static java.lang.String` | `CFG_SERVICENAME`
`static java.lang.String` | `CFG_SOAP12`
`static java.lang.String` | `CFG_SOURCEDIR`
`static java.lang.String` | `CFG_STYLE`
`static java.lang.String` | `CFG_SUPPRESS_GEN`
`static java.lang.String` | `CFG_SUPPRESS_WARNINGS`
`static java.lang.String` | `CFG_TNS`
`static java.lang.String` | `CFG_TRANSPORT`
`static java.lang.String` | `CFG_TYPES`
`static java.lang.String` | `CFG_USE`
`static java.lang.String` | `CFG_USETYPES`
`static java.lang.String` | `CFG_VALIDATE_WSDL`
`static java.lang.String` | `CFG_VERBOSE`
`static java.lang.String` | `CFG_WEBSERVICE`
`static java.lang.String` | `CFG_WRAPPERBEAN`
`static java.lang.String` | `CFG_WSDL`
`static java.lang.String` | `CFG_WSDL_VERSION`
`static java.lang.String` | `CFG_WSDLLOCATION`
`static java.lang.String` | `CFG_WSDLURL`
`static java.lang.String` | `CFG_XJC_ARGS`
`static java.lang.String` | `CFG_XSDURL`
`static java.lang.String` | `CLT_GENERATOR`
`static java.lang.String` | `CXF_SCHEMA_DIR`
`static java.lang.String` | `CXF_SCHEMAS_DIR_INJAR`
`static java.lang.String` | `DATABINDING_PLUGIN`
`static java.lang.String` | `DEFAULT_ADDRESS`
`static java.lang.String` | `DEFAULT_PACKAGE_NAME`
`static java.lang.String` | `DEFAULT_TEMP_DIR`
`static java.lang.String` | `FAULT_GENERATOR`
`static java.lang.String` | `FRONTEND_PLUGIN`
`static java.lang.String` | `GEN_FROM_SEI`
`static java.lang.String` | `HANDLER_CHAIN`
`static java.lang.String` | `HANDLER_CHAINS`
`static java.lang.String` | `HANDLER_CHAINS_URI`
`static java.lang.String` | `HANDLER_GENERATOR`
`static java.lang.String` | `IMPL_CLASS`
`static java.lang.String` | `IMPL_GENERATOR`
`static java.lang.String` | `IMPORTED_DEFINITION`
`static java.lang.String` | `IMPORTED_PORTTYPE`
`static java.lang.String` | `IMPORTED_SERVICE`
`static javax.xml.namespace.QName` | `JAXB_BINDINGS`
`static java.lang.String` | `JAXB_DATABINDING`
`static java.lang.String` | `JAXWS_BINDING_NODE`
`static java.lang.String` | `JAXWS_BINDING_VERSION`
`static javax.xml.namespace.QName` | `JAXWS_BINDINGS`
`static java.lang.String` | `JAXWS_BINDINGS_WSDL_LOCATION`
`static java.lang.String` | `JAXWS_FRONTEND`
`static javax.xml.namespace.QName` | `JBI_ADDRESS`
`static java.lang.String` | `JMS_ADDR_DEST_STYLE`
`static java.lang.String` | `JMS_ADDR_INIT_CTX`
`static java.lang.String` | `JMS_ADDR_JNDI_DEST`
`static java.lang.String` | `JMS_ADDR_JNDI_FAC`
`static java.lang.String` | `JMS_ADDR_JNDI_URL`
`static java.lang.String` | `JMS_ADDR_MSG_TYPE`
`static java.lang.String` | `JMS_ADDR_MSGID_TO_CORRID`
`static java.lang.String` | `JMS_ADDR_SUBSCRIBER_NAME`
`static javax.xml.namespace.QName` | `JMS_ADDRESS`
`static java.lang.String` | `NS_JAXB_BINDINGS`
`static java.lang.String` | `NS_JAXWS_BINDINGS`
`static java.lang.String` | `NS_JBI_ADDRESS`
`static java.lang.String` | `NS_JMS_ADDRESS`
`static java.lang.String` | `NS_XML_FORMAT`
`static java.lang.String` | `NS_XML_HTTP`
`static java.lang.String` | `PORT_NAME`
`static java.lang.String` | `PORTTYPE_MAP`
`static java.lang.String` | `SCHEMA_MAP`
`static java.lang.String` | `SCHEMA_TARGET_NAMESPACES`
`static java.lang.String` | `SCHEMA_URI`
`static java.lang.String` | `SEI_CLASS`
`static java.lang.String` | `SEI_GENERATOR`
`static java.lang.String` | `SERVICE_GENERATOR`
`static java.lang.String` | `SERVICE_LIST`
`static java.lang.String` | `SERVICE_NAME`
`static java.lang.String` | `SIMPLE_FRONTEND`
`static java.lang.String` | `SVR_GENERATOR`
`static java.lang.String` | `TOOLSPECS_BASE`
`static java.lang.String` | `TYPE_GENERATOR`
`static java.lang.String` | `WSDL_DEFINITION`
`static java.lang.String` | `WSDL_NAMESPACE_URI`
`static javax.xml.namespace.QName` | `XML_BINDING_FORMAT`
`static javax.xml.namespace.QName` | `XML_FORMAT`
`static java.lang.String` | `XML_FORMAT_PREFIX`
`static javax.xml.namespace.QName` | `XML_HTTP_ADDRESS`
`static java.lang.String` | `XML_HTTP_PREFIX`
`static java.lang.String` | `XML_NAMESPACE_URI`
`static java.lang.String` | `XMLBINDING_HTTP_LOCATION`
`static java.lang.String` | `XMLBINDING_ROOTNODE`

Constructor Summary
`ToolConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOOLSPECS_BASE

    public static final java.lang.String TOOLSPECS_BASE

See Also:
  Constant Field Values

### SCHEMA_URI

    public static final java.lang.String SCHEMA_URI

See Also:
  Constant Field Values

### XML_NAMESPACE_URI

    public static final java.lang.String XML_NAMESPACE_URI

See Also:
  Constant Field Values

### WSDL_NAMESPACE_URI

    public static final java.lang.String WSDL_NAMESPACE_URI

See Also:
  Constant Field Values

### DEFAULT_TEMP_DIR

    public static final java.lang.String DEFAULT_TEMP_DIR

See Also:
  Constant Field Values

### CFG_OUTPUTDIR

    public static final java.lang.String CFG_OUTPUTDIR

See Also:
  Constant Field Values

### CFG_OUTPUTFILE

    public static final java.lang.String CFG_OUTPUTFILE

See Also:
  Constant Field Values

### CFG_WSDLURL

    public static final java.lang.String CFG_WSDLURL

See Also:
  Constant Field Values

### CFG_WSDLLOCATION

    public static final java.lang.String CFG_WSDLLOCATION

See Also:
  Constant Field Values

### CFG_NAMESPACE

    public static final java.lang.String CFG_NAMESPACE

See Also:
  Constant Field Values

### CFG_VERBOSE

    public static final java.lang.String CFG_VERBOSE

See Also:
  Constant Field Values

### CFG_PORT

    public static final java.lang.String CFG_PORT

See Also:
  Constant Field Values

### CFG_BINDING

    public static final java.lang.String CFG_BINDING

See Also:
  Constant Field Values

### CFG_WEBSERVICE

    public static final java.lang.String CFG_WEBSERVICE

See Also:
  Constant Field Values

### CFG_SERVER

    public static final java.lang.String CFG_SERVER

See Also:
  Constant Field Values

### CFG_CLIENT

    public static final java.lang.String CFG_CLIENT

See Also:
  Constant Field Values

### CFG_ALL

    public static final java.lang.String CFG_ALL

See Also:
  Constant Field Values

### CFG_IMPL

    public static final java.lang.String CFG_IMPL

See Also:
  Constant Field Values

### CFG_PACKAGENAME

    public static final java.lang.String CFG_PACKAGENAME

See Also:
  Constant Field Values

### CFG_NINCLUDE

    public static final java.lang.String CFG_NINCLUDE

See Also:
  Constant Field Values

### CFG_NEXCLUDE

    public static final java.lang.String CFG_NEXCLUDE

See Also:
  Constant Field Values

### CFG_CMD_ARG

    public static final java.lang.String CFG_CMD_ARG

See Also:
  Constant Field Values

### CFG_INSTALL_DIR

    public static final java.lang.String CFG_INSTALL_DIR

See Also:
  Constant Field Values

### CFG_PLATFORM_VERSION

    public static final java.lang.String CFG_PLATFORM_VERSION

See Also:
  Constant Field Values

### CFG_COMPILE

    public static final java.lang.String CFG_COMPILE

See Also:
  Constant Field Values

### CFG_CLASSDIR

    public static final java.lang.String CFG_CLASSDIR

See Also:
  Constant Field Values

### CFG_EXTRA_SOAPHEADER

    public static final java.lang.String CFG_EXTRA_SOAPHEADER

See Also:
  Constant Field Values

### CFG_DEFAULT_NS

    public static final java.lang.String CFG_DEFAULT_NS

See Also:
  Constant Field Values

### CFG_DEFAULT_EX

    public static final java.lang.String CFG_DEFAULT_EX

See Also:
  Constant Field Values

### CFG_XJC_ARGS

    public static final java.lang.String CFG_XJC_ARGS

See Also:
  Constant Field Values

### CFG_CATALOG

    public static final java.lang.String CFG_CATALOG

See Also:
  Constant Field Values

### CFG_DEFAULT_VALUES

    public static final java.lang.String CFG_DEFAULT_VALUES

See Also:
  Constant Field Values

### CFG_VALIDATE_WSDL

    public static final java.lang.String CFG_VALIDATE_WSDL

See Also:
  Constant Field Values

### CFG_CREATE_XSD_IMPORTS

    public static final java.lang.String CFG_CREATE_XSD_IMPORTS

See Also:
  Constant Field Values

### CFG_FRONTEND

    public static final java.lang.String CFG_FRONTEND

See Also:
  Constant Field Values

### CFG_DATABINDING

    public static final java.lang.String CFG_DATABINDING

See Also:
  Constant Field Values

### DEFAULT_ADDRESS

    public static final java.lang.String DEFAULT_ADDRESS

See Also:
  Constant Field Values

### CFG_TYPES

    public static final java.lang.String CFG_TYPES

See Also:
  Constant Field Values

### CFG_INTERFACE

    public static final java.lang.String CFG_INTERFACE

See Also:
  Constant Field Values

### CFG_NIGNOREEXCLUDE

    public static final java.lang.String CFG_NIGNOREEXCLUDE

See Also:
  Constant Field Values

### CFG_ANT

    public static final java.lang.String CFG_ANT

See Also:
  Constant Field Values

### CFG_LIB_REF

    public static final java.lang.String CFG_LIB_REF

See Also:
  Constant Field Values

### CFG_ANT_PROP

    public static final java.lang.String CFG_ANT_PROP

See Also:
  Constant Field Values

### CFG_IMPL_CLASS

    public static final java.lang.String CFG_IMPL_CLASS

See Also:
  Constant Field Values

### CFG_GEN_CLIENT

    public static final java.lang.String CFG_GEN_CLIENT

See Also:
  Constant Field Values

### CFG_GEN_SERVER

    public static final java.lang.String CFG_GEN_SERVER

See Also:
  Constant Field Values

### CFG_GEN_IMPL

    public static final java.lang.String CFG_GEN_IMPL

See Also:
  Constant Field Values

### CFG_GEN_TYPES

    public static final java.lang.String CFG_GEN_TYPES

See Also:
  Constant Field Values

### CFG_GEN_SEI

    public static final java.lang.String CFG_GEN_SEI

See Also:
  Constant Field Values

### CFG_GEN_ANT

    public static final java.lang.String CFG_GEN_ANT

See Also:
  Constant Field Values

### CFG_GEN_SERVICE

    public static final java.lang.String CFG_GEN_SERVICE

See Also:
  Constant Field Values

### CFG_GEN_OVERWRITE

    public static final java.lang.String CFG_GEN_OVERWRITE

See Also:
  Constant Field Values

### CFG_GEN_FAULT

    public static final java.lang.String CFG_GEN_FAULT

See Also:
  Constant Field Values

### CFG_GEN_NEW_ONLY

    public static final java.lang.String CFG_GEN_NEW_ONLY

See Also:
  Constant Field Values

### CFG_CLASSPATH

    public static final java.lang.String CFG_CLASSPATH

See Also:
  Constant Field Values

### CFG_TNS

    public static final java.lang.String CFG_TNS

See Also:
  Constant Field Values

### CFG_SERVICENAME

    public static final java.lang.String CFG_SERVICENAME

See Also:
  Constant Field Values

### CFG_SCHEMANS

    public static final java.lang.String CFG_SCHEMANS

See Also:
  Constant Field Values

### CFG_USETYPES

    public static final java.lang.String CFG_USETYPES

See Also:
  Constant Field Values

### CFG_CLASSNAME

    public static final java.lang.String CFG_CLASSNAME

See Also:
  Constant Field Values

### CFG_PORTTYPE

    public static final java.lang.String CFG_PORTTYPE

See Also:
  Constant Field Values

### CFG_SOURCEDIR

    public static final java.lang.String CFG_SOURCEDIR

See Also:
  Constant Field Values

### CFG_WSDL

    public static final java.lang.String CFG_WSDL

See Also:
  Constant Field Values

### CFG_WRAPPERBEAN

    public static final java.lang.String CFG_WRAPPERBEAN

See Also:
  Constant Field Values

### CFG_ADDRESS

    public static final java.lang.String CFG_ADDRESS

See Also:
  Constant Field Values

### CFG_TRANSPORT

    public static final java.lang.String CFG_TRANSPORT

See Also:
  Constant Field Values

### CFG_SERVICE

    public static final java.lang.String CFG_SERVICE

See Also:
  Constant Field Values

### CFG_BINDING_ATTR

    public static final java.lang.String CFG_BINDING_ATTR

See Also:
  Constant Field Values

### CFG_SOAP12

    public static final java.lang.String CFG_SOAP12

See Also:
  Constant Field Values

### CFG_STYLE

    public static final java.lang.String CFG_STYLE

See Also:
  Constant Field Values

### CFG_USE

    public static final java.lang.String CFG_USE

See Also:
  Constant Field Values

### CFG_XSDURL

    public static final java.lang.String CFG_XSDURL

See Also:
  Constant Field Values

### CFG_NAME

    public static final java.lang.String CFG_NAME

See Also:
  Constant Field Values

### CFG_DEEP

    public static final java.lang.String CFG_DEEP

See Also:
  Constant Field Values

### CFG_SCHEMA_DIR

    public static final java.lang.String CFG_SCHEMA_DIR

See Also:
  Constant Field Values

### CFG_SCHEMA_URL

    public static final java.lang.String CFG_SCHEMA_URL

See Also:
  Constant Field Values

### CXF_SCHEMA_DIR

    public static final java.lang.String CXF_SCHEMA_DIR

See Also:
  Constant Field Values

### CXF_SCHEMAS_DIR_INJAR

    public static final java.lang.String CXF_SCHEMAS_DIR_INJAR

See Also:
  Constant Field Values

### CFG_SUPPRESS_WARNINGS

    public static final java.lang.String CFG_SUPPRESS_WARNINGS

See Also:
  Constant Field Values

### SEI_GENERATOR

    public static final java.lang.String SEI_GENERATOR

See Also:
  Constant Field Values

### FAULT_GENERATOR

    public static final java.lang.String FAULT_GENERATOR

See Also:
  Constant Field Values

### TYPE_GENERATOR

    public static final java.lang.String TYPE_GENERATOR

See Also:
  Constant Field Values

### IMPL_GENERATOR

    public static final java.lang.String IMPL_GENERATOR

See Also:
  Constant Field Values

### SVR_GENERATOR

    public static final java.lang.String SVR_GENERATOR

See Also:
  Constant Field Values

### CLT_GENERATOR

    public static final java.lang.String CLT_GENERATOR

See Also:
  Constant Field Values

### SERVICE_GENERATOR

    public static final java.lang.String SERVICE_GENERATOR

See Also:
  Constant Field Values

### ANT_GENERATOR

    public static final java.lang.String ANT_GENERATOR

See Also:
  Constant Field Values

### HANDLER_GENERATOR

    public static final java.lang.String HANDLER_GENERATOR

See Also:
  Constant Field Values

### NS_JAXWS_BINDINGS

    public static final java.lang.String NS_JAXWS_BINDINGS

See Also:
  Constant Field Values

### NS_JAXB_BINDINGS

    public static final java.lang.String NS_JAXB_BINDINGS

See Also:
  Constant Field Values

### JAXWS_BINDINGS

    public static final javax.xml.namespace.QName JAXWS_BINDINGS

### JAXB_BINDINGS

    public static final javax.xml.namespace.QName JAXB_BINDINGS

### JAXWS_BINDINGS_WSDL_LOCATION

    public static final java.lang.String JAXWS_BINDINGS_WSDL_LOCATION

See Also:
  Constant Field Values

### JAXWS_BINDING_NODE

    public static final java.lang.String JAXWS_BINDING_NODE

See Also:
  Constant Field Values

### JAXWS_BINDING_VERSION

    public static final java.lang.String JAXWS_BINDING_VERSION

See Also:
  Constant Field Values

### ASYNC_METHOD_SUFFIX

    public static final java.lang.String ASYNC_METHOD_SUFFIX

See Also:
  Constant Field Values

### HANDLER_CHAINS_URI

    public static final java.lang.String HANDLER_CHAINS_URI

See Also:
  Constant Field Values

### HANDLER_CHAIN

    public static final java.lang.String HANDLER_CHAIN

See Also:
  Constant Field Values

### HANDLER_CHAINS

    public static final java.lang.String HANDLER_CHAINS

See Also:
  Constant Field Values

### NS_JMS_ADDRESS

    public static final java.lang.String NS_JMS_ADDRESS

See Also:
  Constant Field Values

### JMS_ADDRESS

    public static final javax.xml.namespace.QName JMS_ADDRESS

### NS_JBI_ADDRESS

    public static final java.lang.String NS_JBI_ADDRESS

See Also:
  Constant Field Values

### JBI_ADDRESS

    public static final javax.xml.namespace.QName JBI_ADDRESS

### JMS_ADDR_DEST_STYLE

    public static final java.lang.String JMS_ADDR_DEST_STYLE

See Also:
  Constant Field Values

### JMS_ADDR_JNDI_URL

    public static final java.lang.String JMS_ADDR_JNDI_URL

See Also:
  Constant Field Values

### JMS_ADDR_JNDI_FAC

    public static final java.lang.String JMS_ADDR_JNDI_FAC

See Also:
  Constant Field Values

### JMS_ADDR_JNDI_DEST

    public static final java.lang.String JMS_ADDR_JNDI_DEST

See Also:
  Constant Field Values

### JMS_ADDR_MSG_TYPE

    public static final java.lang.String JMS_ADDR_MSG_TYPE

See Also:
  Constant Field Values

### JMS_ADDR_INIT_CTX

    public static final java.lang.String JMS_ADDR_INIT_CTX

See Also:
  Constant Field Values

### JMS_ADDR_SUBSCRIBER_NAME

    public static final java.lang.String JMS_ADDR_SUBSCRIBER_NAME

See Also:
  Constant Field Values

### JMS_ADDR_MSGID_TO_CORRID

    public static final java.lang.String JMS_ADDR_MSGID_TO_CORRID

See Also:
  Constant Field Values

### XMLBINDING_ROOTNODE

    public static final java.lang.String XMLBINDING_ROOTNODE

See Also:
  Constant Field Values

### XMLBINDING_HTTP_LOCATION

    public static final java.lang.String XMLBINDING_HTTP_LOCATION

See Also:
  Constant Field Values

### NS_XML_FORMAT

    public static final java.lang.String NS_XML_FORMAT

See Also:
  Constant Field Values

### XML_FORMAT_PREFIX

    public static final java.lang.String XML_FORMAT_PREFIX

See Also:
  Constant Field Values

### NS_XML_HTTP

    public static final java.lang.String NS_XML_HTTP

See Also:
  Constant Field Values

### XML_HTTP_PREFIX

    public static final java.lang.String XML_HTTP_PREFIX

See Also:
  Constant Field Values

### XML_HTTP_ADDRESS

    public static final javax.xml.namespace.QName XML_HTTP_ADDRESS

### XML_FORMAT

    public static final javax.xml.namespace.QName XML_FORMAT

### XML_BINDING_FORMAT

    public static final javax.xml.namespace.QName XML_BINDING_FORMAT

### SCHEMA_MAP

    public static final java.lang.String SCHEMA_MAP

See Also:
  Constant Field Values

### PORTTYPE_MAP

    public static final java.lang.String PORTTYPE_MAP

See Also:
  Constant Field Values

### SCHEMA_TARGET_NAMESPACES

    public static final java.lang.String SCHEMA_TARGET_NAMESPACES

See Also:
  Constant Field Values

### WSDL_DEFINITION

    public static final java.lang.String WSDL_DEFINITION

See Also:
  Constant Field Values

### IMPORTED_DEFINITION

    public static final java.lang.String IMPORTED_DEFINITION

See Also:
  Constant Field Values

### IMPORTED_PORTTYPE

    public static final java.lang.String IMPORTED_PORTTYPE

See Also:
  Constant Field Values

### IMPORTED_SERVICE

    public static final java.lang.String IMPORTED_SERVICE

See Also:
  Constant Field Values

### BINDING_GENERATOR

    public static final java.lang.String BINDING_GENERATOR

See Also:
  Constant Field Values

### FRONTEND_PLUGIN

    public static final java.lang.String FRONTEND_PLUGIN

See Also:
  Constant Field Values

### DATABINDING_PLUGIN

    public static final java.lang.String DATABINDING_PLUGIN

See Also:
  Constant Field Values

### CFG_WSDL_VERSION

    public static final java.lang.String CFG_WSDL_VERSION

See Also:
  Constant Field Values

### CFG_SUPPRESS_GEN

    public static final java.lang.String CFG_SUPPRESS_GEN

See Also:
  Constant Field Values

### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

See Also:
  Constant Field Values

### SERVICE_LIST

    public static final java.lang.String SERVICE_LIST

See Also:
  Constant Field Values

### GEN_FROM_SEI

    public static final java.lang.String GEN_FROM_SEI

See Also:
  Constant Field Values

### JAXWS_FRONTEND

    public static final java.lang.String JAXWS_FRONTEND

See Also:
  Constant Field Values

### SIMPLE_FRONTEND

    public static final java.lang.String SIMPLE_FRONTEND

See Also:
  Constant Field Values

### JAXB_DATABINDING

    public static final java.lang.String JAXB_DATABINDING

See Also:
  Constant Field Values

### AEGIS_DATABINDING

    public static final java.lang.String AEGIS_DATABINDING

See Also:
  Constant Field Values

### SEI_CLASS

    public static final java.lang.String SEI_CLASS

See Also:
  Constant Field Values

### IMPL_CLASS

    public static final java.lang.String IMPL_CLASS

See Also:
  Constant Field Values

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

See Also:
  Constant Field Values

### PORT_NAME

    public static final java.lang.String PORT_NAME

See Also:
  Constant Field Values

Constructor Detail

### ToolConstants

    public ToolConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.